curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/work-orders/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"asset_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"assigned_to": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"bill_of_materials_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"due_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"parts_required": {},
"priority": "string",
"quantity_produced": 1,
"status": "pending",
"title": "Replacement tent pole set",
"updated_at": "2026-08-31T14:22:05Z"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Get a specific work order by ID
Work order details
GET
/
api
/
v1
/
work-orders
/
{id}
curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/work-orders/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"asset_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"assigned_to": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"bill_of_materials_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"due_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"parts_required": {},
"priority": "string",
"quantity_produced": 1,
"status": "pending",
"title": "Replacement tent pole set",
"updated_at": "2026-08-31T14:22:05Z"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Path parameters
string
required
Work order ID
Response
ApiResponse_WorkOrderResponse
object
API representation of a work order persisted in the database.
array,null
string,null
boolean
required
Status codes
| Code | Meaning |
|---|---|
200 | Work order details |
401 | Unauthorized |
403 | Forbidden |
404 | Not found |
curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/work-orders/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"asset_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"assigned_to": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"bill_of_materials_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"due_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"parts_required": {},
"priority": "string",
"quantity_produced": 1,
"status": "pending",
"title": "Replacement tent pole set",
"updated_at": "2026-08-31T14:22:05Z"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Last modified on August 31, 2026